> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/guides/features/office/convert-to-office.md).

# Convert PDF to MS Office (Word, Excel, PowerPoint) in Xamarin

Convert PDFs to MS Office (DOCX, XLSX, PPTX) hassle-free with our Structured Output module. Learn how to install and use this feature for seamless PDF to Office conversions on Windows, Linux, or Mac.

Convert PDFs to MS Office (DOCX, XLSX, PPTX) without any external third party dependencies.

{% hint style="warning" %}
\*\* The Structured Output module is an optional add-on \*\*

Only available on Desktop and Server (Windows, Linux, or Mac) You can find more details about how to install the Structured Output module [here ](https://github.com/iKettles/apryse-gitbook/tree/main/core/guides/info/modules.md#structured-output-module).
{% endhint %}

## Setup

1. Download the [Structured Output Module](https://github.com/iKettles/apryse-gitbook/tree/main/core/guides/info/modules.md#structured-output-module) that allows PDF to Office conversion.
2. Place it in the directory of your project, in a folder called `lib` and then reference it in the below sample.

## Convert PDF to Word

This sample demonstrates how to convert from a PDF to DOCX file.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
Convert.WordOutputOptions wordOutputOptions = new Convert.WordOutputOptions();
// Optionally convert only the first page
wordOutputOptions.SetPages(1, 1);
// Requires the Structured Output module
Convert.ToWord(filename, output_filename, wordOutputOptions);
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Convert PDF to PowerPoint

This sample demonstrates how to convert from a PDF to PPTX file.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
Convert.PowerPointOutputOptions powerPointOutputOptions = new Convert.PowerPointOutputOptions();
// Optionally convert only the first page
powerPointOutputOptions.SetPages(1, 1);
// Requires the Structured Output module
Convert.ToPowerPoint(filename, output_filename, powerPointOutputOptions);
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Convert PDF to Excel

This sample demonstrates how to convert from a PDF to XLSX file.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
Convert.ExcelOutputOptions excelOutputOptions = new Convert.ExcelOutputOptions();
// Optionally convert only the first page
excelOutputOptions.SetPages(1, 1);
// Requires the Structured Output module
Convert.ToExcel(filename, output_filename, excelOutputOptions);
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Convert PDF files to MS Office](/xamarin/get-started/samples.md#pdf2officetest) Full sample code which illustrates how to convert PDF to MS Office files (Word, Excel, PowerPoint).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/guides/features/office/convert-to-office.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
